apple_dump
1
16 Jul 2012
@NETATALK_VERSION@

# apple_dump

Dump AppleSingle/AppleDouble format data

          apple_dump

          -a

            FILE
            DIR

          apple_dump

          -e

            FILE
            DIR

          apple_dump

          -f

          FILE

          apple_dump

          -d

          FILE

          apple_dump

            -h
            -help
            --help

          apple_dump

            -v
            -version
            --version

## DESCRIPTION

`apple_dump` is a perl script to dump AppleSingle/AppleDouble format data.

This script can dump various AppleSingle/AppleDouble data created by mailer, archiver, Mac OS X, Netatalk and so on.

With no FILE|DIR, or when FILE|DIR is -, read standard input.

## OPTIONS

`-a` [FILE|DIR]

  This is default. Dump a AppleSingle/AppleDouble file for FILE or DIR automatically. If FILE is not AppleSingle/AppleDouble format, look for extended attribute, .AppleDouble/FILE and ._FILE. If DIR, look for extended attribute, DIR/.AppleDouble/.Parent and ._DIR.

`-e` FILE|DIR

  Dump extended attribute ofFILE or DIR.

`-f` [FILE]

  Dump FILE. Assume FinderInfo to be FileInfo.

`-d` [FILE]

  Dump FILE. Assume FinderInfo to be DirInfo.

`-h, -help, --help`

  Display the help and exit

`-v, -version, --version`

  Show version and exit

## NOTE

There is no way to detect whether FinderInfo is FileInfo or DirInfo. By default, apple_dump examines whether file or directory, a parent directory is .AppleDouble, filename is ._*, filename is .Parent, and so on.

If setting option -e, -f or -d, assume FinderInfo and doesn't look for another file.

## SEE ALSO

ad 1, getfattr 1, attr 1, runat 1, getextattr 8, lsextattr 8